6.0.0-git
2019-07-21

[#7395] syncing notes/calendar/tasks to Nokia N95 gives Unsupported Content-Type: for tasks
Summary syncing notes/calendar/tasks to Nokia N95 gives Unsupported Content-Type: for tasks
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester adrieder (at) sbox (dot) tugraz (dot) at
Created 2008-09-25 (3951 days ago)
Due 09/26/2008 (3950 days ago)
Updated 2008-10-07 (3939 days ago)
Assigned 2008-10-03 (3943 days ago)
Resolved 2008-10-07 (3939 days ago)
Milestone
Patch No

History
2008-10-07 12:44:41 Jan Schneider Comment #5
Taken from Karsten Fourmont
State ⇒ Resolved
Reply to this comment
Tweaked and committed, thanks.
2008-10-07 12:43:29 CVS Commit Comment #4 Reply to this comment
2008-10-03 00:21:52 Chuck Hagenbuch Assigned to Jan Schneider
Assigned to Karsten Fourmont
State ⇒ Assigned
 
2008-10-02 21:09:29 adrieder (at) sbox (dot) tugraz (dot) at Comment #3
New Attachment: Sync.php.patch Download
Reply to this comment
$contentType2 (=tasks) does not get set when a package is continued.

The attached patch that fixes the problem.


2008-09-25 20:37:30 adrieder (at) sbox (dot) tugraz (dot) at Comment #2
New Attachment: devinf.txt Download
Reply to this comment
...this might be of interest
2008-09-25 19:50:54 adrieder (at) sbox (dot) tugraz (dot) at Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ syncing notes/calendar/tasks to Nokia N95 gives Unsupported Content-Type: for tasks
Due ⇒ 2008-09-26
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
When trying to do a full sync of the calendar (14 notes, 144 calendar 
entries + 77 tasks), only the notes and the calendar events end up on 
the N95:



First, 14 notes get send, then ~100 calendar events and then the 
Maximum message size is approached and a new session gets started. The 
calendar events get fully synced but the tasks produce a  "Unsupported 
Content-Type" error:



[...]

DEBUG:  Sending add from server: 20070628193732.@webmail.tugraz.at

DEBUG:  Maximum message size 65535 approached during add; current size: 65072

DEBUG:  Return message completed

DEBUG:  Finished at 2008-09-25 21:11:34. Packet logged in 
/tmp/sync/server_11.wbxml



DEBUG:  Backend of class SyncML_Backend_Horde created

DEBUG:  Started at 2008-09-25 21:11:48. Packet logged in 
/tmp/sync/client_12.wbxml

DEBUG:  Existing session continued: ca5ce66a876bd994838649c3c5329cf1

[...]



DEBUG:  Adding to client from db tasks, server id 
20080615130952.187348frtz49s04k@webmail.tugraz.at

[...]

DEBUG:  Sending add from server: 
20080924120156.146263cri1b2fack@webmail.tugraz.at

DEBUG:  Sending add from server: 
20080924102554.3449345vqytnasgi@webmail.tugraz.at

DEBUG:  Sending add from server: 
20080615130952.187348frtz49s04k@webmail.tugraz.at

ERR:    API export call for 
20080615130952.187348frtz49s04k@webmail.tugraz.at failed: Unsupported 
Content-Type:

[...]



The apache log shows the following error:

PHP Notice:  Undefined variable: contentType2 in 
/usr/local/lib/php_cvs_dev/SyncML/Sync.php on line 484



There is no problem when the sync can be done at once, and the message 
size is not near the maximum.


Saved Queries